/*
 * Copyright 2010 Amazon.com, Inc. or its affiliates. All Rights Reserved.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License").
 * You may not use this file except in compliance with the License.
 * A copy of the License is located at
 * 
 *  http://aws.amazon.com/apache2.0
 * 
 * or in the "license" file accompanying this file. This file is distributed
 * on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
 * express or implied. See the License for the specific language governing
 * permissions and limitations under the License.
 */


               
/**
 * Attribute
 */   

@interface SimpleDBAttribute : NSObject 
    
{
    NSString* name;
    NSString* alternateNameEncoding;
    NSString* value;
    NSString* alternateValueEncoding;

}


/**
 * The name of the attribute.
 */
@property (nonatomic, retain) NSString* name;

/**
 * 
 */
@property (nonatomic, retain) NSString* alternateNameEncoding;

/**
 * The value of the attribute.
 */
@property (nonatomic, retain) NSString* value;

/**
 * 
 */
@property (nonatomic, retain) NSString* alternateValueEncoding;


/**
 * Default constructor for a new Attribute object.  Callers should use the
 * property methods to initialize this object after creating it.
 */
-(id)init;
   
/**
 * Constructs a new Attribute object.
 * Callers should use properties to initialize any additional object members.
 * 
 * @param theName The name of the attribute.
 * @param theValue The value of the attribute.
 */
-(id)initWithName:(NSString*)theName andValue:(NSString*)theValue;
            
/**
 * Returns a string representation of this object; useful for testing and
 * debugging.
 *
 * @return A string representation of this object.
 */
-(NSString*)description;
    

@end
    